summaryrefslogtreecommitdiffstats
path: root/source/n/ncftp/ncftp.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/n/ncftp/ncftp.SlackBuild')
-rwxr-xr-xsource/n/ncftp/ncftp.SlackBuild30
1 files changed, 25 insertions, 5 deletions
diff --git a/source/n/ncftp/ncftp.SlackBuild b/source/n/ncftp/ncftp.SlackBuild
index 81cc729a6..f859b0878 100755
--- a/source/n/ncftp/ncftp.SlackBuild
+++ b/source/n/ncftp/ncftp.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2008, 2009 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2010 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -21,9 +21,19 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-VERSION=3.2.2
-ARCH=${ARCH:-x86_64}
-BUILD=${BUILD:-2}
+PKGNAM=ncftp
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 2 -d - | rev)}
+BUILD=${BUILD:-1}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) export ARCH=i486 ;;
+ arm*) export ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) export ARCH=$( uname -m ) ;;
+ esac
+fi
NUMJOBS=${NUMJOBS:-" -j7 "}
@@ -33,6 +43,8 @@ elif [ "$ARCH" = "s390" ]; then
SLKCFLAGS="-O2"
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
+else
+ SLKCFLAGS="-O2"
fi
CWD=$(pwd)
@@ -43,7 +55,7 @@ mkdir -p $TMP $PKG
cd $TMP
rm -rf ncftp-$VERSION
-tar xvf $CWD/ncftp-$VERSION-src.tar.bz2 || exit 1
+tar xvf $CWD/ncftp-$VERSION-src.tar.?z* || exit 1
cd ncftp-$VERSION || exit 1
chown -R root:root .
find . \
@@ -90,6 +102,14 @@ cp -a doc/* $PKG/usr/doc/ncftp-$VERSION
# Useless redundancy:
rm -r $PKG/usr/doc/ncftp-$VERSION/{html,man}
+# If there's a ChangeLog, installing at least part of the recent history
+# is useful, but don't let it get totally out of control:
+if [ -r doc/CHANGELOG.txt ]; then
+ DOCSDIR=$(echo $PKG/usr/doc/${PKGNAM}-$VERSION)
+ cat doc/CHANGELOG.txt | head -n 1000 > $DOCSDIR/CHANGELOG.txt
+ touch -r doc/CHANGELOG.txt $DOCSDIR/CHANGELOG.txt
+fi
+
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc